// JavaScript Document
var appVersion = "v. 6.0.3.27";

// configs the forms validations ranges
var portCount = 10;
//supported file extentions of version update
var version_supported_extention = new Array("tgz","tgz");

//BER value reveal request offset
var BER_OFFSET = 9;

//encoders params configuration section
var encoderTypes = new Array(
							"None",		//0
							"NXP",		//1 
							"VWEB_NA",	//2
							"VWEB_EU",	//3
							"Demod_nxp",	//4
							"ETH1000",	//5
							"AN_HD",		//6
							"VWEB_EU_1",    //7
							"Demod_dnq",    //8
							"VWEB_NA_1"     //9
							);

var vbiModeTypes = new Array(
							new Item("none",0),
							new Item("ETSI_CC",1),
							new Item("ETSI_Teletext",2),
							new Item("ETSI_WSS",3),
							new Item("ETSI_VPS",4),
							new Item("ATSC_CC",5)
							);
							 
var VideoInputTypes = new Array(
							new Item("Component",1),
							new Item("VGA",2),
							new Item("Composite",4)							
							);							 
							
var mpgAudRateTypes = new Array(
							new Item("192",192),
							new Item("256",256),
							new Item("384",384)							
							);	
              					 
var	mpgAudCodecTypes = new Array(
							new Item("MPEG-1",1),							
							new Item("AC-3",2)							
							);							 
							

var mpgVidResTypes = new Array();
var mpgVidResNTSC = new Array(
							new Item("720x480",720),
							new Item("704x480",704),
							new Item("544x480",544),
							new Item("528x480",528),
							new Item("480x480",480),
							new Item("352x480",352)
							);

var mpgVidResPAL = new Array(
							new Item("720x576",720),
							new Item("704x576",704),
							new Item("544x576",544),
							new Item("528x576",528),
							new Item("480x576",480),
							new Item("352x576",352)
							);
var mpgVidResAN_HD = new Array(
							new Item("720p,30fps",2),
							new Item("720p,50fps",3),
							new Item("720p,60fps",4),
							new Item("800*600",7),
							new Item("1080i,50Hz",257),
							new Item("1080i,60Hz",258),
							new Item("1080p,24fps",512),
							new Item("1080p,24fps",513),
							new Item("1080p,30fps",514),
							new Item("800x600,60Hz",23),
							new Item("800x600,75Hz",11),
							new Item("1280x720,60Hz",8),
							new Item("1024x768,60Hz",9),
							new Item("1024x768,75Hz",12),
							new Item("1280x1024,60Hz",10),
							new Item("480p,60Hz",480),
							new Item("576p,50Hz",576),
							new Item("NTSC",481),
							new Item("PAL",577),
							//new res doron
							new Item("1366x768,60Hz",30),
							new Item("1400x1050,60Hz",25),
							new Item("1920x1080,60Hz",35),
							new Item("640x480,60Hz",40)
							);


function Item(_name,_value){
	this.name = _name	;
	this.value = _value	;
}

function configForms(){
	configFormAV();
	configFormMux();
	configFormRF();
	configFormMAINT();
	configFormNET();
	configFormDmod(document.getElementById("formDmod"));
	configFormIP_OUT(document.getElementById("formIP_OUT"));
	configFormSPTS(document.forms["SPTSform"]);
}

function configFormAV(){
	
	var frmObj=document.forms["formAV"];
	
	frmObj.inVideoBrightness.isValueBetween = [0,255];
	frmObj.inVideoBrightness.isInteger = true;

 	frmObj.AVSync.isValueBetween = [-2000,2000];
	frmObj.AVSync.isInteger = true;
	
    //alert(frmObj.enc_type_hidden.value);
    //if(frmObj.enc_type_hidden.value == "[0 - 255]")
    //{
	//frmObj.inAudioVolume.isValueBetween = [0,255];
	//frmObj.inAudioVolume.isInteger = true;
    //
    //else
    //{

  
	frmObj.source_id.isValueBetween = [1,65535];
	frmObj.source_id.isInteger = true;

 	frmObj.major_channel.isValueBetween = [1,1023];
	frmObj.major_channel.isInteger = true;

 	frmObj.minor_channel.isValueBetween = [1,1023];
	frmObj.minor_channel.isInteger = true;
    //
 	frmObj.inAudioVolume.isValueBetween = [-23,255];
	frmObj.inAudioVolume.isInteger = true;
   // }
	
	frmObj.inVideoContrast.isValueBetween = [0,127];
	frmObj.inVideoContrast.isInteger = true;
	
	frmObj.inVideoSaturation.isValueBetween = [0,127];
	frmObj.inVideoSaturation.isInteger = true;
	
	frmObj.mpgVidRate.isValueBetween = [1000,25000];
	frmObj.mpgVidRate.isInteger = true;
	
	frmObj.pidVideo.isValueBetween = [21,8190];
	frmObj.pidVideo.isUnique = ["pidVideo","pidAudio","pidPCR","pidPMT"];
	frmObj.pidVideo.isMatch = [frmObj.pidAudio]
	frmObj.pidVideo.isInteger = true;

	frmObj.pidAudio.isValueBetween = [21,8190];
	frmObj.pidAudio.isInteger = true;
	frmObj.pidAudio.isUnique = ["pidVideo","pidAudio","pidPCR","pidPMT"];

	frmObj.pidPCR.isValueBetween = [21,8190];
	frmObj.pidPCR.isInteger = true;
	frmObj.pidPCR.isUnique = ["pidVideo","pidAudio","pidPCR","pidPMT"];
	frmObj.pidPCR.isMatch = [frmObj.pidPMT];
	

	frmObj.pidPMT.isValueBetween = [21,8190];
	frmObj.pidPMT.isInteger = true;
	frmObj.pidPMT.isUnique = ["pidVideo","pidAudio","pidPCR","pidPMT"];
	frmObj.pidPMT.isInteger = true;
	frmObj.pidPMT.isMatch = [frmObj.pidAudio,frmObj.pidVideo];

	frmObj.progID.isValueBetween = [1,65535];
	frmObj.progID.isInteger = true;
	frmObj.progID.isUnique = ["progID"];

	frmObj.progName.isLengthBetween = [1,12];
	frmObj.progName.isUnique = ["progName"];
	
	
	
	frmObj.inAudioSampleRate.disabled=true;	
	frmObj.mpgAudRate.remove(0);
}

function configFormMux(){
	var frmObj=document.forms["formMux"];
	
	frmObj.muxTransID.isValueBetween = [1,65535];
	frmObj.muxTransID.isInteger = true;
	
	frmObj.muxNITname.isLengthBetween = [1,12];
	
	//frmObj.muxAddDropMode.disabled = true;
	frmObj.muxPSImonitor.disabled = true;
	
	frmObj.muxQba_af.disabled = false;
	
	frmObj.muxOriginal_Network_ID.isValueBetween = [1,65535];
	frmObj.muxOriginal_Network_ID.isInteger = true;
	
}

function configFormRF(){
	var frmObj=document.forms["formRF"];	
	frmObj.qamFreq.isValueBetween = [15000,975000];  
	frmObj.qamFreq.isInteger = true;
	frmObj.qamFreq.isDivid = 250; 	
	frmObj.qamRfAtten.isValueBetween = [0,26];	
	frmObj.qamRfAtten.isInteger = true;
	
	
}

function configFormMAINT(){
	var frmObj=document.forms["formMAINT"];
	
	frmObj.maintFanTemperature.isValueBetween = [0,75];
	frmObj.maintFanTemperature.isInteger = true;
	
	frmObj.maintPanicTemperature.isValueBetween = [0,75];
	frmObj.maintPanicTemperature.isInteger = true;
	
	frmObj.maintRemoteServer.isValidIP = true; 
	frmObj.maintRemoteServer.isString = "1";
	
	frmObj.maintRemotePort.isValueBetween = [0,9999];
	frmObj.maintRemotePort.isInteger = true;
	
	frmObj.maintSnmpServer.isString = "1";
	frmObj.maintSnmpServer.isValidIP = true;
	
	frmObj.maintSnmpPort.isValueBetween = [0,9999];
	frmObj.maintSnmpPort.isInteger = true;
	
	frmObj.maintRemoteHour.isString = "1";
	frmObj.maintRemoteHour.isTime = true;
	
	//frmObj.maintTemp_method[1].disabled = true;
	frmObj.maintSnmpPort.disabled = true;
}

function configFormNET(){
	var frmObj=document.forms["formNET"];
	frmObj.netPort.isValueBetween = [1,65535];
	frmObj.netPort.maxLength = 5;
	
	frmObj.netDNSIPAddress.isValidIP = true; 
	frmObj.netDNSIPAddress.isString = "1"; 
	frmObj.netDefaultGateway.isValidIP = true; 
	frmObj.netDefaultGateway.isString = "1"; 
	frmObj.netIPMask.isValidIP = true; 
	frmObj.netIPMask.isString = "1"; 
	frmObj.netLocalIPAddress.isValidIP = true; 
	frmObj.netLocalIPAddress.isString = "1";  
	frmObj.netNotificationServerUrl.isString = "1"; 
}

function configFormDmod(frmObj){
	//frmObj.demodFreq.isValueBetween = [47000,897000];
    if(document.getElementById('demod_freq').innerHTML == '[47000,897000]') 
    {

        frmObj.demodFreq.isValueBetween = [47000,897000];
    }
    else
    {
        frmObj.demodFreq.isValueBetween = [54000,866000];
    }
    //frmObj.demodFreq.isValueBetween = [30000,1000000];
	frmObj.demodFreq.isInteger = true;
	frmObj.demodSymbolRate.isValueBetween = [2608,6956];
    //frmObj.demodSymbolRate.isValueBetween = [1000,8000];
	frmObj.demodSymbolRate.isInteger = true;
}

function configFormIP_OUT(frmObj){
	frmObj.udpHostIpAddr0.isValueBetween = [0,255];
	frmObj.udpHostIpAddr0.isInteger = true;
	frmObj.udpHostIpAddr1.isValueBetween = [0,255];
	frmObj.udpHostIpAddr1.isInteger = true;
	frmObj.udpHostIpAddr2.isValueBetween = [0,255];
	frmObj.udpHostIpAddr2.isInteger = true;
	frmObj.udpHostIpAddr3.isValueBetween = [0,255];
	frmObj.udpHostIpAddr3.isInteger = true;
	
	frmObj.udpHostSubnetAddr0.isValueBetween = [0,255];
	frmObj.udpHostSubnetAddr0.isInteger = true;
	frmObj.udpHostSubnetAddr1.isValueBetween = [0,255];
	frmObj.udpHostSubnetAddr1.isInteger = true;
	frmObj.udpHostSubnetAddr2.isValueBetween = [0,255];
	frmObj.udpHostSubnetAddr2.isInteger = true;
	frmObj.udpHostSubnetAddr3.isValueBetween = [0,255];
	frmObj.udpHostSubnetAddr3.isInteger = true;

	frmObj.udpTxSrcPort.isValueBetween = [1,65535];
	frmObj.udpTxSrcPort.isInteger = true;

	frmObj.udpDestIpAddr0.isValueBetween = [0,255];
	frmObj.udpDestIpAddr0.isInteger = true;
	frmObj.udpDestIpAddr1.isValueBetween = [0,255];
	frmObj.udpDestIpAddr1.isInteger = true;
	frmObj.udpDestIpAddr2.isValueBetween = [0,255];
	frmObj.udpDestIpAddr2.isInteger = true;
	frmObj.udpDestIpAddr3.isValueBetween = [0,255];
	frmObj.udpDestIpAddr3.isInteger = true;

	frmObj.udpTxDestPort.isValueBetween = [1,65535];
	frmObj.udpTxDestPort.isInteger = true;

	frmObj.rtpNumOfPackets.isValueBetween = [1,7];
	frmObj.rtpNumOfPackets.isInteger = true;

	frmObj.rtpFecLParam.isValueBetween = [1,20];
	frmObj.rtpFecLParam.isInteger = true;

	frmObj.rtpFecDParam.isValueBetween = [1,20];
	frmObj.rtpFecDParam.isInteger = true;

	frmObj.rtpColFecPort.isValueBetween = [1,65535];
	frmObj.rtpColFecPort.isInteger = true;

	frmObj.rtpRowFecPort.isValueBetween = [1,65535];
	frmObj.rtpRowFecPort.isInteger = true;
	//frmObj.rtpRowFecPort.isUnique = ["rtpColFecPort","rtpRowFecPort"];
}


function configFormSPTS(frmObj){
	for(var i=1;i<=portCount;i++){
		frmObj["udpDestIpAddr0_"+i].isValueBetween = [0,255];
		frmObj["udpDestIpAddr0_"+i].isInteger = true;
		frmObj["udpDestIpAddr1_"+i].isValueBetween = [0,255];
		frmObj["udpDestIpAddr1_"+i].isInteger = true;
		frmObj["udpDestIpAddr2_"+i].isValueBetween = [0,255];
		frmObj["udpDestIpAddr2_"+i].isInteger = true;
		frmObj["udpDestIpAddr3_"+i].isValueBetween = [0,255];
		frmObj["udpDestIpAddr3_"+i].isInteger = true;
		frmObj["udpTxDestPort_"+i].isValueBetween = [1,65535];
		frmObj["udpTxDestPort_"+i].isInteger = true;
		frmObj["rtpColFecPort_"+i].isValueBetween = [1,65535];
		frmObj["rtpColFecPort_"+i].isInteger = true;
		frmObj["rtpRowFecPort_"+i].isValueBetween = [1,65535];
		frmObj["rtpRowFecPort_"+i].isInteger = true;
		
	}
	
	
}

//enable disable fields acording to add drop mode(state)
function setPortsFileds(state){
	var frmObj=document.forms["formAV"];
	frmObj.portActiveEnable.disabled = !state;
	frmObj.mpgVidRate.disabled = !state;
	frmObj.mpgAudRate.disabled = !state;
	
	frmObj.progID.disabled = !state;
}


// sets the form by adddrop mode state
function setMuxFileds(state){
	var frmObj=document.forms["formMux"];
	frmObj.muxPSImonitor.disabled = state;
	frmObj.muxNITname.disabled = !state;
	
	// only for vesion 6.0.2.0
	//frmObj.muxPSImonitor.disabled = true;
	
}
function setRFFileds(state){
	var frmObj=document.forms["formRF"];
//	frmObj.qamFreq.disabled = !state;
	frmObj.qamMode.disabled = !state;
	frmObj.qamModulation.disabled = !state;
	frmObj.qamBandwidth.disabled = !state;
	frmObj.qamInterleaving.disabled = !state;
	
}
function muxParams(){
	this.muxTransID = ""; 
	this.muxNITname ="";
	this.muxAddDropMode="";
	this.muxOriginal_Network_ID="";

}
function RFParams(){
	this.qamFreq ="";
	this.qamMode = ""; 
	this.qamRfAtten="";
	this.qamInterleaving ="";

}


